/***************************************************************************
                          ann_ds_log.h  -  description
                             -------------------
    begin                : pon kwi 21 2003
    copyright            : (C) 2003 by Bartosz Lis
    email                : bartoszl@ics.p.lodz.pl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __ANN_DS_LOG_H
#define __ANN_DS_LOG_H

#include <ann_ds_buff.h>
#include <ann_parser_log.h>

namespace ANN
{

  //              //
 // class DS_log //
//              //

  class DS_log : public DS_buff
  {
  private:
    DS_log(const DS_log &that);
    DS_log();

  public:
    DS_log(Parser_Log &parser, const char *label, const char *l_in,
           const char *l_des_out, time_t begin=0, time_t end=(time_t)-1);
  };

} // namespace ANN

#endif /* __ANN_DS_LOG_H */
