/***************************************************************************
                          ann_log_lazy.cpp  -  description
                             -------------------
    begin                : pi kwi 18 2003
    copyright            : (C) 2003 by Bartosz Lis
    email                : bartoszl@ics.p.lodz.pl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <ann_log_lazy.h>
 
  //                    //
 // class ANN::LogLazy //
//                    //

ANN::LogLazy::~LogLazy()
{
}

void
ANN::LogLazy::prop_prepare(size_t epoch)
{
  active=!(epoch % epochs);
  ANN::LogRec::prop_prepare(epoch);
}

void
ANN::LogLazy::prop_update(size_t epoch, double error)
{
  ANN::LogRec::prop_update(epoch,error);
  active=false;
}

